QGIS Application - Bug report #15171
style dock: load min / max values' current extent not working properly
2016-06-29 01:10 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23110
Description

The load min / max values widget registers a static extent value, which was fine when it was part of a modal dialog but not so when part
of the non-blocking style dock.

The solution would be to pass onto the widget a reference to the map canvas element to dynamically retrieve the extent upon click on the
[ Load ] button.

Associated revisions

Revision 19564672 - 2016-06-30 10:25 AM - Nyall Dawson

Fix raster load min/max from extent in style dock (fix #15171)

History

#1 - 2016-06-29 04:13 AM - Nyall Dawson

- Priority changed from Normal to Severe/Regression
- Assignee set to Nyall Dawson

#2 - 2016-06-30 01:29 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"19564672c20db414d5dcfa7294e67c12c7db1844".
